com::lomiri::location::wgs84::CoordinateTraits< Coordinate > Struct Template Reference

`#include <coordinate.h>`

Collaboration diagram for com::lomiri::location::wgs84::CoordinateTraits< Coordinate >:

## Static Public Member Functions

static void | check_and_throw_if_invalid (const typename Coordinate::Quantity &coordinate)

## Detailed Description

template<typename Coordinate>
struct com::lomiri::location::wgs84::CoordinateTraits< Coordinate >

Definition at line 34 of file coordinate.h.

## Member Function Documentation

## check_and_throw_if_invalid()

template<typename Coordinate>

void com::lomiri::location::wgs84::CoordinateTraits< Coordinate >::check_and_throw_if_invalid | ( | const typename Coordinate::Quantity & | coordinate | ) |

inline static

Definition at line 36 of file coordinate.h.

The documentation for this struct was generated from the following file:

- coordinate.h